Upload document
curl --request POST \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/business-user/{uid}/kyb-sessions/{sessionId}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'category=<string>' \
--form 'type=<string>' \
--form file='@example-file'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/business-user/{uid}/kyb-sessions/{sessionId}/documents"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"category": "<string>",
"type": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('category', '<string>');
form.append('type', '<string>');
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/business-user/{uid}/kyb-sessions/{sessionId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": "COMPANY_INFO",
"createdAt": "2024-03-20T10:35:00Z",
"fileName": "articles.pdf",
"fileSize": 245678,
"id": "fa6ac4d6-6a39-4112-a47d-5927817d798e",
"kybSessionId": "5ada78ed-288f-43b5-b98c-890369e04fe3",
"type": "MEMORANDUM_ARTICLES",
"updatedAt": "2024-03-20T10:35:00Z"
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}KYB sessions
Upload document
Upload a document to a KYB session using multipart form
POST
/
api
/
v1
/
account
/
business-user
/
{uid}
/
kyb-sessions
/
{sessionId}
/
documents
Upload document
Authorizations
API Key for accessing management endpoints
Body
multipart/form-data
Response
Created
Example:
"COMPANY_INFO"
Example:
"2024-03-20T10:35:00Z"
Example:
"articles.pdf"
Example:
245678
Example:
"fa6ac4d6-6a39-4112-a47d-5927817d798e"
Example:
"5ada78ed-288f-43b5-b98c-890369e04fe3"
Example:
"MEMORANDUM_ARTICLES"
Example:
"2024-03-20T10:35:00Z"
⌘I